#ifndef NMEA2GPS_H_INCLUDED
#define NMEA2GPS_H_INCLUDED

typedef struct{
    int LatitudeDegree;
    int LatitudeMinuteGrad;
    int LatitudeMinuteCent;
    int LatitudeMinuteMyrio;
    int LongitudeDegree;
    int LongitudeMinuteGrad;
    int LongitudeMinuteCent;
    int LongitudeMinuteMyrio;
    int AltitudeMeter;
    int UtcHour;
    int UtcMinute;
    int UtcSecunde;
    int SatellitsInUse;
} Nmea2GpsType;

/*
 * Das nchste Zeichen aus dem Datenstrom verarbeiten.
 */
void Nmea2GpsNextChar(unsigned char ch);

/*
 * Die als letztes vollstndig eingelesenen GPS Daten
 */
extern Nmea2GpsType Nmea2GpsData;

/*
 * Wird auf eins gesetzt, wenn die GPS-Daten
 * aktualisiert wurden.
 */
extern unsigned long Nmea2GpsUpdated;

#endif // NMEA2GPS_H_INCLUDED
